<?php
include("cp_header_adv.php");/**************************************************صفحة تعديل المشاريع*******************************************************************/


 
 
//منع الانجكشن
if(!isset($_GET['id']) || !is_numeric($_GET['id'])){
	
die("الصفحة غير موجودة");		
}	

//تجنب اضافة سجل فى حالة اعادة تحميل الصفحة

//ضمان عدم الاضافة مرتين
if(!isset($RequestSignature)){
$RequestSignature = md5($_SERVER['REQUEST_URI'].$_SERVER['QUERY_STRING'].print_r($_POST, true));
}

$extensionx='' ;
$filex='';

/*  اسم الجدول وبداية الكويرى */  
$table="projects";


//وضع مسار رفع الملفات والصور فى سيشن
$_SESSION['upload_folder']=$table;
$_SESSION['page_id']=$_GET['id'];


$sort_num=1;if(is_numeric($fetch['sort_num'])){$sort_num=$fetch['sort_num'];}

//بداية الاستعلام
$query="select * from projects where id=".$_GET['id'];
//تنفيذ الاستعلام
$result=mysqli_query($conn,$query);

   /*بداية التكرار */  
 while($fetch = mysqli_fetch_array($result)) {
   		 $fetch = clean_array($fetch);
$sort_num=$fetch[0];	
?>
<div id="cp_cont">
<div id="show_user_details"></div>
	

<?php
///تجنب اضافة سجل فى حالة اعادة تحميل الصفحة

if (isset($_SESSION['LastRequest']) && $_SESSION['LastRequest'] == $RequestSignature)
{
goto error;
}
else
{
$_SESSION['LastRequest'] = $RequestSignature;
}


//فى حالة السبمت
if (isset($_POST['submit']) && $_POST['token_sec']==$_SESSION['token']  ) {

$comp=$_POST['comp'];
if (isset($_FILES['image'])){
   
$_POST['submit']=="اضافة2";
}

err1:

	


//وضع الفورم فى متغيرات
$title=str_replace("'","\'",$_POST['title']);
$modified=date('Y-m-d H:i:s');
$categories=$_POST['categories'];

$_POST['desc'] = str_replace("<br /><br />", "</p><p>", nl2br($_POST['desc']));
$desc=str_replace("'","\'",$_POST['desc']);


$_POST['seo_desc'] = str_replace("<br /><br />", "</p><p>", nl2br($_POST['seo_desc']));
$seo_desc=str_replace("'","\'",$_POST['seo_desc']);

$_POST['keywords'] = str_replace("<br /><br />", "</p><p>", nl2br($_POST['keywords']));
$keywords=str_replace("'","\'",$_POST['keywords']);

$begin_date=$_POST['begin_date'];
$finish_date='1111-11-11';
if($_POST['finish_date']!=''){
	$finish_date=$_POST['finish_date'];
}

$address=$_POST['address'];


$done_percent=$_POST['done_percent'];

$code=$_POST['code'];
$video=$_POST['video'];

$active;
$priority;


// القسم
$depart=$_POST['depart'];


if(isset($_POST['priority'])){
$priority='1';
}else{
$priority='0';	
}

if(isset($_POST['active'])){
$active='1';
}else{
$active='0';	
}

$images=str_replace(',null', '', $_POST['images']);


//بداية الاستعلام
$query="update projects set `video`='$video',`active`='$active',`images`='$images' ,keywords='$keywords',seo_desc='$seo_desc' , begin_date='$begin_date', finish_date='$finish_date',title='$title' , `desc`='$desc', done_percent='$done_percent',code='$code', address='$address', priority='$priority' where id=".$_GET['id'];

//بداية الاستعلام
$query= mysqli_prepare(

			$conn,

			"Update `$table` set 
			`video`=?,`active`=?,`images`=?,`keywords`=?,`seo_desc`=?, `begin_date`=?, `finish_date`=?,`title`=? , `desc`=?, `done_percent`=?,`code`=?, `address`=?, `priority`=? ,`modified`=? ,`user_modified`=? 
			 Where `id`= ? "
	);

		
	
	//نهيئة المتغيرات وحمايتها من الحقن
	mysqli_stmt_bind_param($query,'sisssssssississi',
			
		$video,$active,$images,$keywords,$seo_desc,$begin_date,$finish_date,$title,$desc,$done_percent,$code,$address,$priority,$modified,$_SESSION[$domain."_user"],$_GET['id']

	);


			
	//تنفيذ الاستعلام وتخزين حالته
	$execute_status=mysqli_stmt_execute($query);
				 
	//فى حالة وجود اخطاء فى الاتصال بقاعدة البيانات
	if(mysqli_error($conn)!=''){

				 $error_database_arr['err']=mysqli_error($conn);

				 $error_database_arr['err_num']= mysqli_errno($conn);

				 $error_database_arr['error_stmt']= mysqli_stmt_error($query);

			 }
	
	//عدد السجلات التى تم تنفيذها
	$affected_rows=mysqli_affected_rows($conn);

//فى حالة نجاح الاستعلام
if($execute_status==1){
echo "<div class='true'>تم رفع الوصف</div>";
goto endall;
}else{
err:	
echo "<div class='false'>لم يتم رفع الوصف</div>";  
 
  		
}
//header("location: add_projects.php");
unset($_POST['submit']);


}

error:

?>	
	
	

    
    	
	
	
	
<div id="cp_title"> تعديل المشروع
<a  href="view_<?php echo $table; ?>.php?search=" style='background:url(../img/table.png);float:left;margin:10px 0px 5px 20px;color:var(--white);width:20px;height:20px;'></a>		
</div>
<div id="cp_body">

<form id="app_form" enctype="multipart/form-data" method="post" action="<?php echo $_SERVER['PHP_SELF'].'?id='.$_GET['id']?>">
<div class="cp_word_body">


<div class="cp_login_row" style='display:none'>
<div class="cp_title"><span style="color:red">*</span>اسم الجمعية</div>
<div class="cp_field">
<select aria-labelledby='lbl-main-menu-mob'  id="main_company_list_internal" alt="1" id="comp" class="required" name="comp" >	
<?php
$query_comp="select * from companies";
$result_comp=mysqli_query($conn,$query_comp);

$first_comp='';


   /*بداية التكرار */  
 while($fetch_comp = mysqli_fetch_array($result_comp)) {
   		 $fetch_comp = clean_array($fetch_comp);
if($fetch_comp['id']==$fetch['comp']){
$first_comp=$fetch_comp['id'];
?>

<option selected="selected" value="<?php echo $fetch_comp['id'] ; ?>"><?php echo $fetch_comp['title'] ;?></option>

<?php }else{ ?>

<option value="<?php echo $fetch_comp['id'] ; ?>"><?php echo $fetch_comp['title'] ;?></option>

<?php }}?>

</select>	

<div class="field_val"></div>	
</div>
</div>


<div class="cp_login_row " style="float:right;height: 110px;">
<div class="cp_title"><span style="color:red">*</span>اسم المشروع</div>
<div class="cp_field">
<input class="required" alt="1" name="title" type="text" value="<?php echo $fetch['title'] ?>" />
<div class="field_val "></div>
</div>
</div>

<div class="cp_login_row " style="float:right;">
<div class="cp_title"><span style="color:red">*</span>الوصف</div>
<div class="cp_field">
	

<textarea  class="wymeditor required" alt="1" id="txtDefaultHtmlArea" name="desc" ><?php echo $fetch['desc']; ?></textarea>	
<div class="field_val" ></div>
</div>
</div>
<div class="cp_login_row">
<div class="cp_title"><span style="color:red">*</span> كود المشروع  </div>
<div class="cp_field">
<input value="<?php echo $fetch['code'] ?>" id="code" class="required" name="code" type="text" />
<div class="field_val "></div>
</div>
</div>


<div class="cp_login_row" style="float:right;width:49%;height:110px">
<div class="cp_title"><span style="color:red">*</span>تاريخ البدء</div>
<div class="cp_field">
<input class="datepicker required" alt="1" value="<?php echo $fetch['begin_date'] ?>"  name="begin_date" type="text" />
<div class="field_val "></div>	
</div>
</div>

<div class="cp_login_row" style="float:right;width:49%;height:110px">
<div class="cp_title">تاريخ الانتهاء</div>
<div class="cp_field">
<input class="datepicker" alt="1" value="<?php if($fetch['finish_date']!='1111-11-11'){echo $fetch['finish_date'];} ?>" name="finish_date" type="text" />
<div class="field_val "></div>	
</div>
</div>


<div class="cp_login_row">
<div class="cp_title">رابط الفيديو  </div>
<div class="cp_field">
<input value="<?php echo $fetch['video'] ?>" id="code" class="requiredx" name="video" type="text" />
<div class="field_val "></div>
</div>
</div>



<div class="cp_login_row" style="float:right;width:49%;height:110px">
<div class="cp_title"><span style="color:red">*</span> موقع المشروع  </div>
<div class="cp_field">
<input id="address" name="address" class='required' type="text" value="<?php echo $fetch['address'] ?>"/>
<div class="field_val"></div>
</div>
</div>
<div class="cp_login_row" style="float:right;width:49%;height:110px">
<div class="cp_title"><span style="color:red">*</span> نسبة الانتهاء من المشروع %</div>
<div class="cp_field">
<input id="done_percent" class='required'  min="0" max="100" name="done_percent" type="number" value="<?php echo $fetch['done_percent'] ?>"/>
<div class="field_val "></div>
</div>
</div>
<div class="cp_login_row half_row_wide_right"  style="float:right;">
<div class="cp_title"> وصف ال seo</div>
<div class="cp_field">

<textarea  class="requiredx" alt="1" id="desc"  name="seo_desc" ><?php echo $fetch['seo_desc'] ?></textarea>
<div class="field_val"></div>	
</div>
</div>

<div class="cp_login_row half_row_wide_right"  style="float:right;">
<div class="cp_title">الكلمات المفتاحية</div>
<div class="cp_field">

<textarea  class="requiredx" alt="1" id="desc"  name="keywords" ><?php echo $fetch['keywords'] ?></textarea>
<div class="field_val"></div>	
</div>
</div>

<div class="cp_login_row" >
<div class="cp_title">وضع العلامة المائية</div>
<div class="cp_field">
<input alt="1" class="water_mark" name="water_mark" type="checkbox"  />	
</div>
</div>
<div class="cp_field" >
<div class="cp_title">الصور الحالية</div> 
<?php $_SESSION['image_width']='900' ; ?>
<div class="cp_field" >
<?php
$current_images=explode(",",$fetch['images']);
$xx=0;
foreach ($current_images as $key => $value) {
//echo $value;	

     
  
   /*استخراج الصورة الاساسية*/  
  $current_image=explode(".",$value);
if($xx!=0){
?>

<div class="image_thumb">

	<div class="image_image">
	<img loading='lazy' class="more_img"  
	src="../img/<?php echo $table ; ?>/<?php echo $current_image[0]; ?>_tiny.webp?time=<?php echo time();?>" 
	style="opacity:1;filter:alpha(opacity=100);"/>	
	</div>	

	<div class="image_del" table="<?php echo $table ;?>"  
	 image_id="<?php echo $current_image[0]; ?>" 
	 ext="<?php echo $current_image[1]; ?>"
	 id="<?php echo $_GET['id']; ?>" >
	</div>

</div>

<?php }$xx++;} ?>

</div>
</div>


<div class="cp_field" >
<div class="cp_title">اضافة صور</div>
<div class="cp_field" >
<div id="fileuploader" style="height:200px;">رفع الصور</div> 
 <?php $_SESSION['image_width']='900' ; ?>
</div>
</div>

<div class="cp_login_row "  style=" height:20px;">
<div class="cp_field">
<input style="margin-top:20px;" alt="1" value="<?php echo $fetch['images'] ?>" id="images" name="images" class="required" name="title" type="text" />
<div style="margin-top:-100px;" class="field_val "></div>	
</div>
</div>



<div class="cp_login_row" >
<div class="cp_title">النشر</div>
<div class="cp_field">
<input alt="1" id="active" name="active" type="checkbox"  
<?php if($fetch['active']=='1'){ echo "checked='checked'" ;} ?>
/>	
</div>
</div>

<div class="cp_login_row" >
<div class="cp_title">الاولوية</div>
<div class="cp_field">
<input alt="1" id="active" name="priority" type="checkbox"  
<?php if($fetch['priority']=='1'){ echo "checked='checked'" ;} ?>
/>	
</div>
</div>



<div class="field_val" ></div>	
</div>	
</div>

<div class="cp_login_row">
<div class="cp_submit"><input  class="wymupdate" id="submit"  name="submit" value="تعديل"  title="تعديل" type="submit"></div>
</div>
</div>
<input type="hidden" name="token_sec"  value='<?php echo $_SESSION['token']; ?>'> </form>
<?php }?>
</div>
</div>


    
    
    

<?php 
//تحميل الفوتر
include("cp_footer.php"); ?>

<?php 
exit();

endall:
echo "<a class='true' href='view_projects.php?search='> الانتقال لصفحة تعديل المشروعات </a>";
?>
<script type="text/javascript">
$(function(){

//الانتقال التلقائى لصفحة العرض
setTimeout(function() {
  window.location.href = "view_projects.php?search=";
}, 5000);


});
</script>

    


